/* -*- C++ -*- */
/**
 *  @file Command_Factory.h
 *
 *  Command_Factory.h,v 1.2 2003/04/03 20:36:20 pradeep Exp
 *
 *  @author Pradeep Gore <pradeep@oomworks.com>
 *
 *
 */

#ifndef TAO_NS_COMMAND_FACTORY_H
#define TAO_NS_COMMAND_FACTORY_H
#include "ace/pre.h"

#include "notify_test_export.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

class TAO_NS_Command;

/**
 * @class TAO_NS_Command_Factory
 *
 * @brief Base class for Factory to create command objects.
 *
 */
class TAO_NOTIFY_TEST_Export TAO_NS_Command_Factory
{
public:
  /// Constuctor
  TAO_NS_Command_Factory (void);

  /// Destructor
  virtual ~TAO_NS_Command_Factory ();

  /// Create the command.
  virtual TAO_NS_Command* create (void) = 0;
};

#include "ace/post.h"
#endif /* TAO_NS_COMMAND_FACTORY_H */
